
#!/bin/bash

#Change this variables if desired
binary=matmul
folder=study #Caution: If this folder already exists, its contents will be erased
#####################################################
mkdir $folder 2>/dev/null
rm -rf $folder/*

make $binary
export VEHAVE_TRACE_SINGLE_THREAD=1

#Run with two vector lengths
for maxVL in 16 32
do
	#set maxVL
	export VEHAVE_VECTOR_LENGTH=$(( $maxVL * 64 ))
	#run
	trace_name=${binary}_${maxVL}
	VEHAVE_DEBUG_LEVEL=0 VEHAVE_TRACE_FILE=${trace_name}.trace /shared_folder/vehave-EPI-0.7-development-2020-12-01-2200/bin/vehave ./${binary}
done

mkdir $folder/vehave_traces
mv *.trace $folder/vehave_traces
